Index: processor_enable.c
===================================================================
--- processor_enable.c	(revision 1396)
+++ processor_enable.c	(working copy)
@@ -24,7 +24,7 @@
 #include "flash.h"
 #include "programmer.h"
 
-#if defined(__i386__) || defined(__x86_64__)
+#if defined(__i386__) || defined(__x86_64__) || defined(__ppc__) || defined(__powerpc__)
 
 int processor_flash_enable(void)
 {
Index: internal.c
===================================================================
--- internal.c	(revision 1396)
+++ internal.c	(working copy)
@@ -292,6 +292,8 @@
 		 "Aborting.\n");
 	return 1;
 #endif
+#elif defined(__powerpc__) || defined(__ppc__)
+	return 0;
 #else
 	/* FIXME: Remove this unconditional abort once all PCI drivers are
 	 * converted to use little-endian accesses for memory BARs.
